Несколько уязвимостей в Drupal Ajax Checklist

Дата публикации:
30.09.2008
Всего просмотров:
1928
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5998
CVE-2008-5999
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Ajax Checklist 5.x (модуль к Drupal)
Уязвимые версии: Ajax Checklist (модуль к Drupal) 5.x-1.0

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в URL в сценарии "save". Удаленный авторизованный пользователь с привилегиями "update ajax checklists" может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: drupal.org/project/ajax_checklist

Решение: Установите последнюю версию 5.x-1.1 с сайта производителя.

Ссылки: http://drupal.org/node/312968

или введите имя

CAPTCHA